%define module	automat

Name:		python-%{module}
Version:	0.6.0
Release:	%mkrel 1
Summary:	Python library for finite-state machines
License:	MIT
Group:		Development/Python
Url:		https://pypi.org/project/Automat/
Source0:	https://pypi.io/packages/source/a/automat/Automat-%{version}.tar.gz
BuildArch:	noarch

%description
Python library for finite-state machines.

%package -n	python2-%{module}
Summary:	Python 2 library for finite-state machines
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python2)
BuildRequires:	pythonegg(2)(setuptools)
BuildRequires:	pythonegg(2)(setuptools-scm)
BuildRequires:	pythonegg(2)(docutils)
BuildRequires:	pythonegg(2)(m2r)

%description -n	python2-%{module}
Python 2 library for finite-state machines.

%package -n	python3-%{module}
Summary:	Python 3 library for finite-state machines
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	pythonegg(3)(setuptools)
BuildRequires:	pythonegg(3)(setuptools-scm)
BuildRequires:	pythonegg(3)(docutils)
BuildRequires:	pythonegg(3)(m2r)

%description -n	python3-%{module}
Python 3 library for finite-state machines.

%prep
%setup -qn Automat-%{version}
%autopatch -p1

# Remove bundled egg-info
rm -rf Automat.egg-info

%build
%py2_build
%py3_build

%install
%py2_install
mv %{buildroot}%{_bindir}/automat-visualize %{buildroot}%{_bindir}/python2-automat-visualize

%py3_install

%files -n python2-%{module}
%doc README.md docs/*
%license LICENSE
%{python2_sitelib}/%{module}/
%{python2_sitelib}/Automat-%{version}-py%{python2_version}.egg-info/
%{_bindir}/python2-automat-visualize

%files -n python3-%{module}
%doc README.md docs/*
%license LICENSE
%{python3_sitelib}/%{module}/
%{python3_sitelib}/Automat-%{version}-py%{python3_version}.egg-info/
%{_bindir}/automat-visualize


%changelog
* Tue Feb 20 2018 daviddavid <daviddavid> 0.6.0-1.mga6
+ Revision: 1203505
- branch python-automat for mga6 (needed for python-twisted)

* Fri Oct 06 2017 daviddavid <daviddavid> 0.6.0-3.mga7
+ Revision: 1169568
- add another missing BR on python2dist(setuptools-scm) and python3dist(setuptools-scm)
- rename python-automat to python2-automat

  + tv <tv>
    - add BR on python2dist(m2r) and python3dist(m2r) thus fixing build

* Sat Aug 05 2017 pterjan <pterjan> 0.6.0-2.mga7
+ Revision: 1135318
- Rebuild for python 3.6

* Sat Jul 29 2017 daviddavid <daviddavid> 0.6.0-1.mga7
+ Revision: 1132250
- initial package python-automat

